package com.yeejoin.amos.latentdanger.core.common.request;

import java.util.List;

/**
 * @author DELL
 */
public class LatentDangerResultPushSpcRequest {

    /**
     * 隐患状态
     */
    private String hiddenTroubleStatus;

    /**
     * 处理时间
     */
    private String processingTime;

    /**
     * 隐患名称
     */
    private String hiddenTroubleName;

    /**
     * 风险点id
     */
    private String riskSourceId;

    /**
     * 所有隐患的状态集合
     */
    private List<String> troubleList;

    public String getHiddenTroubleStatus() {
        return hiddenTroubleStatus;
    }

    public void setHiddenTroubleStatus(String hiddenTroubleStatus) {
        this.hiddenTroubleStatus = hiddenTroubleStatus;
    }

    public String getProcessingTime() {
        return processingTime;
    }

    public void setProcessingTime(String processingTime) {
        this.processingTime = processingTime;
    }

    public String getHiddenTroubleName() {
        return hiddenTroubleName;
    }

    public void setHiddenTroubleName(String hiddenTroubleName) {
        this.hiddenTroubleName = hiddenTroubleName;
    }

    public String getRiskSourceId() {
        return riskSourceId;
    }

    public void setRiskSourceId(String riskSourceId) {
        this.riskSourceId = riskSourceId;
    }

    public List<String> getTroubleList() {
        return troubleList;
    }

    public void setTroubleList(List<String> troubleList) {
        this.troubleList = troubleList;
    }

}
